using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace ConditionalCellFormatting
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			this.RadGridView1.ItemsSource = GetSampleListOfProducts();
		}

		List<Product> GetSampleListOfProducts()
		{
			List<Product> products = new List<Product>();
			products.Add(new Product() { ProductName = "Swartland Pinotage South Africa 2006", Price = 16.50m });
			products.Add(new Product() { ProductName = "Cuvée des Amandiers Rouge France 2006", Price = 16.50m });
			products.Add(new Product() { ProductName = "Le Carredon Merlot France 2006", Price = 14.50m });
			products.Add(new Product() { ProductName = "Yali Winemaker's Selection Cabernet Carmenere", Price = 17.50m });

			return products;
		}
	}

	public class Product
	{
		public string ProductName { get; set; }
		public decimal Price { get; set; }
	}
}
